Due to limitations imposed by 32-bit memory addressing, it is possible that Flows 5.7 will not be compatible with installations using the larger Flows database settings. In this case it is necessary to back the Flows version down to Flows 1.3 .

The following procedure addresses this.

1. Install IM Flows 1.3.

2. Verify the netsaw.conf file (typically in /opt/ns2flows) databasepath entry points to /opt/ns2flows/SESSIONDB.

3. Stop the Flows 5.7 daemon using /etc/init.d/imflows stop.

4. Start the IMFlows 1.3 daemon using /etc/init.d/ns2flows start.

The Flows 1.3 server will write log entries into the file indicated in the
/opt/ns2flows/netsaw.conf file in the logfile entry.

The changes above restored the Flows 1.3 server to operation. The steps following are changes to the client application.

5. Verify the file /var/local/InterMapper_Settings/Extensions/netsaw.jar exists.

6. Edit the flows.xml file in InterMapper_Settings/Extensions as shown below.

cd /var/local/InterMapper_Settings/Extensions
mv flows.xml flows.xml.bak
cp netsaw.xml flows.xml
mv imflows /tmp

7. Stop and re-start the InterMapper service using

sudo /etc/init.d/intermapperd stop
sudo /etc/init.d/intermapperd start

The above was done assuming default paths, in a CentOS environment.

Other distros may have differing paths and daemon control; email support.intermapper@helpsystems.com if you get stuck